package travel.entity;
// Generated Apr 13, 2017 10:12:16 PM by Hibernate Tools 4.3.1


import java.util.HashSet;
import java.util.Set;
import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * Thuonghieu generated by hbm2java
 */
@Entity
@Table(name="thuonghieu"
    ,catalog="travel_tour"
)
public class Thuonghieu  implements java.io.Serializable {


     private Integer id;
     private String hinhanh;
     private String tenthuonghieu;
     private Set<Tour> tours = new HashSet<Tour>(0);

    public Thuonghieu() {
    }

	
    public Thuonghieu(String hinhanh, String tenthuonghieu) {
        this.hinhanh = hinhanh;
        this.tenthuonghieu = tenthuonghieu;
    }
    public Thuonghieu(String hinhanh, String tenthuonghieu, Set<Tour> tours) {
       this.hinhanh = hinhanh;
       this.tenthuonghieu = tenthuonghieu;
       this.tours = tours;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)

    
    @Column(name="id", unique=true, nullable=false)
    public Integer getId() {
        return this.id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }

    
    @Column(name="hinhanh", nullable=false, length=200)
    public String getHinhanh() {
        return this.hinhanh;
    }
    
    public void setHinhanh(String hinhanh) {
        this.hinhanh = hinhanh;
    }

    
    @Column(name="tenthuonghieu", nullable=false, length=300)
    public String getTenthuonghieu() {
        return this.tenthuonghieu;
    }
    
    public void setTenthuonghieu(String tenthuonghieu) {
        this.tenthuonghieu = tenthuonghieu;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="thuonghieu",cascade=CascadeType.ALL)
    public Set<Tour> getTours() {
        return this.tours;
    }
    
    public void setTours(Set<Tour> tours) {
        this.tours = tours;
    }




}


